clear;
clc;

dataDir = 'Results_Ron/results_061012/';
files = dir(strcat(dataDir, 'res_facebook_sparse_2048*.mat')); 
dateNow = clock;
dateNow = strcat(num2str(dateNow(1)),'_',num2str(dateNow(2)),'_', num2str(dateNow(3)),'_', num2str(dateNow(4)), num2str(dateNow(5)),'_', num2str(dateNow(6)));
outFile = sprintf('%sDumpGraphDist_%s.txt',dataDir, dateNow);
fileID = fopen(outFile,'w');


for f = files'
    data = load(strcat(dataDir,f.name));
    for r = data.purity
%        fprintf(fileID,'\t%s',f.name);
        fprintf(fileID,'\t%s',data.file);
        fprintf(fileID,'\t%d',data.i);
        fprintf(fileID,'\t%d',data.iter);
%        fprintf(fileID,'\t%d',r.iteration);
        fprintf(fileID,'\t%d',r.num_missing_nodes_idx);
        fprintf(fileID,'\t%d',r.num_missing_nodes);
        fprintf(fileID,'\t%d',r.affinity_calculation_type);
        fprintf(fileID,'\t%d',r.edit_distance);
        fprintf(fileID,'\t%d',r.missing_nodes_mapping(1,1));
        fprintf(fileID,'\t%d',r.missing_nodes_mapping(1,2));
        fprintf(fileID,'\t%d',r.missing_nodes_mapping(1,3));
        fprintf(fileID,'\n');
    end
end

fclose(fileID);
LogMsg(sprintf('Completed DumpGraphDist at%s',outFile));
